## apex 1.0.0

=== DESCRIPTION ===
Package: apex
Title: Phylogenetic Methods for Multiple Gene Data
Version: 1.0.0
Authors@R: c(TJ=person("Thibaut", "Jombart", , "t.jombart@imperial.ac.uk", role = c("aut", "cre")), 
	   ZK=person("Zhian Namir", "Kamvar", email = "kamvarz@science.oregonstate.edu", role = c("aut")),
	   KS=person("Klaus", "Schliep", email="klaus.schliep@umb.edu", role = c("aut")),
	   RH=person("Rebecca", "Harris", email="rbharris@uw.edu", role = c("aut")))
Description: Toolkit for the analysis of multiple gene data. Apex implements the new S4 classes "multidna", "multiphyDat" and associated methods to handle aligned DNA sequences from multiple genes.
Depends: R (>= 3.1.3), methods, ape, phangorn
Imports: adegenet
License: GPL (>= 2)
LazyData: true
Collate: doc.R internal.R multidna.class.R multiphyDat.class.R show.R
        multidna.constructor.R multiphyDat.constructor.R accessors.R
        handling.R plot.R readfiles.R datasets.R dist.R getTree.R
        exports.R
VignetteBuilder: knitr
Suggests: testthat, knitr
NeedsCompilation: no
Packaged: 2015-04-15 14:57:02 UTC; thibaut
Author: Thibaut Jombart [aut, cre],
  Zhian Namir Kamvar [aut],
  Klaus Schliep [aut],
  Rebecca Harris [aut]
Maintainer: Thibaut Jombart <t.jombart@imperial.ac.uk>
Repository: CRAN
Date/Publication: 2015-04-15 21:32:16
