## apex 1.0.1

=== DESCRIPTION ===
Package: apex
Title: Phylogenetic Methods for Multiple Gene Data
Version: 1.0.1
Authors@R: c(TJ=person("Thibaut", "Jombart", , "t.jombart@imperial.ac.uk", role = c("aut", "cre")), 
	   ZK=person("Zhian Namir", "Kamvar", email = "kamvarz@science.oregonstate.edu", role = c("aut")),
	   KS=person("Klaus", "Schliep", email="klaus.schliep@umb.edu", role = c("aut")),
	   EA=person("Eric", "Archer", email="eric.archer@noaa.gov", role = c("aut")),
	   RH=person("Rebecca", "Harris", email="rbharris@uw.edu", role = c("aut")))
Description: Toolkit for the analysis of multiple gene data. Apex implements the new S4 classes 'multidna', 'multiphyDat' and associated methods to handle aligned DNA sequences from multiple genes.
Depends: R (>= 3.1.3), methods, ape, phangorn
Imports: utils, graphics, stats, grDevices, adegenet
License: GPL (>= 2)
LazyData: true
Collate: doc.R internal.R multidna.class.R multiphyDat.class.R
        add.gaps.R rm.gaps.R show.R multidna.constructor.R
        multiphyDat.constructor.R accessors.R subset.R concatenate.R
        plot.R readfiles.R datasets.R dist.R getTree.R exports.R
VignetteBuilder: knitr
Suggests: testthat, knitr
NeedsCompilation: no
Packaged: 2015-09-07 13:15:00 UTC; thibaut
Author: Thibaut Jombart [aut, cre],
  Zhian Namir Kamvar [aut],
  Klaus Schliep [aut],
  Eric Archer [aut],
  Rebecca Harris [aut]
Maintainer: Thibaut Jombart <t.jombart@imperial.ac.uk>
Repository: CRAN
Date/Publication: 2015-09-07 18:17:44
