## apex 1.0.6

=== DESCRIPTION ===
Package: apex
Title: Phylogenetic Methods for Multiple Gene Data
Version: 1.0.6
Authors@R: c(KS=person("Klaus", "Schliep", email="klaus.schliep@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-2941-0161")),
       TJ=person("Thibaut", "Jombart", , "t.jombart@imperial.ac.uk", role = c("aut")),
	   ZK=person("Zhian Namir", "Kamvar", email = "kamvarz@science.oregonstate.edu", role = c("aut")),
	   EA=person("Eric", "Archer", email="eric.archer@noaa.gov", role = c("aut")),
	   RH=person("Rebecca", "Harris", email="rbharris@uw.edu", role = c("aut")))
Description: Toolkit for the analysis of multiple gene data (Jombart et al. 2017) <doi:10.1111/1755-0998.12567>. 
    'apex' implements the new S4 classes 'multidna', 'multiphyDat' and associated methods to handle aligned DNA sequences from multiple genes.
Depends: R (>= 3.1.3), methods, ape, phangorn
Imports: utils, graphics, stats, adegenet
License: GPL (>= 2)
URL: https://github.com/thibautjombart/apex
BugReports: https://github.com/thibautjombart/apex/issues
Collate: doc.R internal.R multidna.class.R multiphyDat.class.R
        add.gaps.R rm.gaps.R show.R multidna.constructor.R
        multiphyDat.constructor.R accessors.R subset.R concatenate.R
        plot.R readfiles.R datasets.R dist.R getTree.R exports.R
VignetteBuilder: knitr
Suggests: testthat, knitr, rmarkdown
Encoding: UTF-8
RoxygenNote: 7.3.0
NeedsCompilation: no
Packaged: 2024-01-29 15:32:08 UTC; klaus
Author: Klaus Schliep [aut, cre] (<https://orcid.org/0000-0003-2941-0161>),
  Thibaut Jombart [aut],
  Zhian Namir Kamvar [aut],
  Eric Archer [aut],
  Rebecca Harris [aut]
Maintainer: Klaus Schliep <klaus.schliep@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-31 19:40:07 UTC
