=== debian/changelog ===
apex (1.4.7) unstable; urgency=low

  * New command line starts RTC.
  * Moved the environment to the same block as the loader.

 --  Marc Singer <elf@debian.org>  Sun, 22 Oct 2006 14:20:13 -0700

apex (1.4.5) unstable; urgency=low

  * Fixed the sort comparison function in the fis driver so that the skips
    are ordered by offset address. 
  * Changed the default startup to copy from fis://kernel and
    fis://ramdisk.  We no longer expect there to be SERCOMM headers on the
    kernel or ramdisk images.  Freedom.

 --  Marc Singer <elf@debian.org>  Fri, 18 Aug 2006 09:44:34 -0700

apex (1.4.4) unstable; urgency=low

  * Small changes to the configurations for debian builds: noirqdebug
    added command line, removed root= from command line. 
  * Revised copyright file to conform to approved practices.

 -- Marc Singer <elf@debian.org>  Mon, 14 Aug 2006 17:06:58 -0700

apex (1.4.3) unstable; urgency=low

  * Added fis_skip_descriptor interpretation to the FIS driver.  This
    allows for loading the kernel from FIS partitions that are broken-up
    by SERCOMM headers to cope with RedBoot shortcomings.

 -- Marc Singer <elf@debian.org>  Sun, 13 Aug 2006 17:28:55 -0700

apex (1.4.0) unstable; urgency=low

  * Revised several key systems for the sake of running APEX in LE mode on
    a BE system.  APEX now functions as a second-stage boot loader on the
    nslu2.

 -- Marc Singer <elf@debian.org>  Wed, 26 Jul 2006 00:57:13 -0700

apex (1.3.30) unstable; urgency=low

  * Initial release for configuration debian-nslu2-arm_config (and armeb).

 -- Marc Singer <elf@debian.org>  Thu, 20 Jul 2006 11:36:21 -0700
