=== debian/control ===
Source: apex
Section: admin
Priority: optional
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 3.7.2
Build-Depends: perl

Package: apex-nslu2
Architecture: arm armeb
Depends:
Description: APEX Boot Loader for Linksys NSLU2 
 The APEX Boot Loader is a modular and retargetable firmware loader
 suitable for embedded systems.  
 .
 This package is a version of APEX configured for the Linksys NSLU2
 network appliance.  In this case, APEX is used as a second stage
 loader so that Redboot, as installed by the manufacturer, may remain.
 . 
 The APEX command line offers a comfortable (e.g. command line editing
 and history) and extensible platform for development and production
 uses.
 .
 <http://wiki.buici.com/wiki/Apex_Bootloader>
