=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello.
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package = apex-nslu2
docdir = debian/tmp/usr/share/doc/$(package)

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
CONFIG         := debian-nslu2-$(DEB_BUILD_ARCH)_config

CC = gcc
CFLAGS = -g -Wall
INSTALL_PROGRAM = install


ifeq (arm,$(DEB_BUILD_ARCH))
 ENDIAN:=l
endif
ifeq (armeb,$(DEB_BUILD_ARCH))
 ENDIAN:=b
endif

# We must not change the build options.
#ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#  CFLAGS += -O2
#endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	$(MAKE) $(CONFIG)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -i distclean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
#	install -m 755 debian/postinst debian/prerm debian/tmp/DEBIAN
#	$(MAKE) INSTALL_PROGRAM="$(INSTALL_PROGRAM)" \
#		prefix=$$(pwd)/debian/tmp/boot install
	install -d debian/tmp/boot
	cp src/arch-arm/rom/apex.bin $$(pwd)/debian/tmp/boot/apex.flash
# Headerization done by slugimage
#	tools/headerize $(ENDIAN) $$(pwd)/debian/tmp/boot/apex.flash
#	cd debian/tmp && mv usr/info usr/man usr/share
#	cp -a NEWS $(docdir)
	cp -a debian/copyright $(docdir)
	cp -a debian/changelog $(docdir)/changelog.Debian
	cp -a ChangeLog $(docdir)/changelog
	cd $(docdir) && gzip -9 changelog changelog.Debian
#	gzip -r9 debian/tmp/usr/share/man
#	gzip -9 debian/tmp/usr/share/info/*
#	dpkg-shlibdeps debian/tmp/usr/bin/hello
	dpkg-gencontrol -isp
	chown -R root:root debian/tmp
	chmod -R u+w,go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f src/apex/init.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test $$(id -u) = 0

.PHONY: binary binary-arch binary-indep clean checkroot
